Name:           perl-Heimdal-Kadm5
Version:        0.08
Release:        1%{?dist}
Summary:        Perl extension for administering Heimdal Kerberos

License:        BSD
URL:            http://search.cpan.org/~leifj/Heimdal-Kadm5-0.08/Kadm5.pm
Source0:        http://search.cpan.org/CPAN/authors/id/L/LE/LEIFJ/Heimdal-Kadm5-0.08.tar.gz

# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(ExtUtils::MakeMaker)

# We need heimdal-workstation installed for heimdal-krb5-config.
BuildRequires:  heimdal-devel, heimdal-workstation

# Other dependencies:
BuildRequires:  libcom_err-devel

# Required for unit tests.
BuildRequires:  perl(Time::Seconds)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Heimdal::Kadm5 is a basic XSUB perl glue to the Heimdal kadm5clnt library.
Heimdal is a free, slightly less export challenged implementation of Kerberos5
by Assar Westerlund and Johan Danielsson. Heimdal::Kadm5 allows you to perform
more administration of your kdc than you can usually pull off with the included
kadmin program. Heimdal::Kadm5 should be considered alpha-code and may
consequently crash and burn but should not muck up your kdc any more than
kadmin itself does.

%prep
%setup -qn Heimdal-Kadm5-%{version}

# Apply a patch to make the build paths correct.
sed 's/krb5-config/heimdal-krb5-config/g' -i Makefile.PL

%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc
# For noarch packages: vendorlib
#%{perl_vendorlib}/*
# For arch-specific packages: vendorarch
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/
%{_mandir}/man3/*.3*


%changelog
* Tue Apr 19 2016 Ben Rosser <rosser.bjr@gmail.com> 0.08-1
- Initial package.
